Summary:	Free Arabic TrueType fonts
Name:		fonts-ttf-arabic
Version:	1.1
Release:	3mdk
License:	GPL
Group:		System/Fonts/True type

Source0:	http://www.linux.org.sa/download/KacstArabicFonts-%{version}.tar.bz2
Source1:	nastaliq_unicode.ttf.bz2

BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	freetype-tools
# And be sure there is TTF support
Requires:	freetype
PreReq:		chkfontpath

%description
This Package provides Free Arabic TrueType fonts.

%prep

%setup -q -c

%build
bzcat %{SOURCE1} > nastaliq_unicode.ttf

%install
rm -fr %buildroot

mkdir -p %buildroot/%_datadir/fonts/ttf/arabic/
cp *.ttf %buildroot/%_datadir/fonts/ttf/arabic/

(
cd %buildroot/%_datadir/fonts/ttf/arabic/
%_sbindir/ttmkfdir -u > fonts.scale
cp fonts.scale fonts.dir
%_bindir/fc-cache . || touch fonts.cache-1
)

%post
if [ -x %_sbindir/chkfontpath ]; then
   %_sbindir/chkfontpath -q -a %_datadir/fonts/ttf/arabic
fi
%{_bindir}/fc-cache %{_datadir}/fonts/ 

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_sbindir/chkfontpath ] && \
   %_sbindir/chkfontpath -q -r %_datadir/fonts/ttf/arabic
   %{_bindir}/fc-cache %{_datadir}/fonts/ 
fi

%clean
rm -fr %buildroot

%files
%defattr(0644,root,root,0755)
%doc *txt
#
%dir %_datadir/fonts/
%dir %_datadir/fonts/ttf/
%dir %_datadir/fonts/ttf/arabic/
%_datadir/fonts/ttf/arabic/*

%changelog
* Wed Aug 06 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.1-3mdk
- added Urdu Nastaliq GPL font (covering Urdu and Farsi)

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.1-2mdk
- rebuild
- prereq on chkfontpath

* Wed Feb 19 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.1-1mdk
- first release
